﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;
using System.Windows.Markup;
using System.IO;
using System.Xml;
using System.Runtime.Serialization.Formatters.Binary;

namespace DataChart_Legend
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }


        private void ContentPresenter_Loaded(object sender, RoutedEventArgs e)
        {
            if ((sender as ContentPresenter).Content.GetType() == typeof(StackPanel))
            {
                List<object> temp = new List<object>();
                ListBox lb = ((sender as ContentPresenter).Parent as Grid).Children[3] as ListBox;
                foreach (ContentControl item in ((sender as ContentPresenter).Content as StackPanel).Children)
                {
                    temp.Add(item);
                }
                foreach (ContentControl item in temp)
                {
                    ((sender as ContentPresenter).Content as StackPanel).Children.Remove(item);
                    lb.Items.Add(item);
                }
            }
        }
    }

    public class SimpleDataCollection
    {
        public List<SimpleDataPoint> points { set; get; }
        public List<SimpleDataPoint> pointsLine { set; get; }

        public List<SimpleDataPoint> bubbleData { set; get; }

        public List<SimpleDataPoint> radialData { set; get; }
        public int dataCount;

        public SimpleDataCollection()
        {
            points = new List<SimpleDataPoint>();
            points.Add(new SimpleDataPoint() { Label = 1, Value = 3.0 });
            points.Add(new SimpleDataPoint() { Label = 2, Value = 2.0 });
            points.Add(new SimpleDataPoint() { Label = 3, Value = 3.0 });
            points.Add(new SimpleDataPoint() { Label = 4, Value = 4.0 });
            points.Add(new SimpleDataPoint() { Label = 5, Value = 5.0 });
            points.Add(new SimpleDataPoint() { Label = 6, Value = 5.8 });
            points.Add(new SimpleDataPoint() { Label = 7, Value = 5.0 });

            pointsLine = new List<SimpleDataPoint>();
            pointsLine.Add(new SimpleDataPoint() { Label = 1, Value = 0.0 });
            pointsLine.Add(new SimpleDataPoint() { Label = 2, Value = 1.0 });
            pointsLine.Add(new SimpleDataPoint() { Label = 3, Value = 3.0 });
            pointsLine.Add(new SimpleDataPoint() { Label = 4, Value = 4.0 });
            pointsLine.Add(new SimpleDataPoint() { Label = 5, Value = 3.0 });
            pointsLine.Add(new SimpleDataPoint() { Label = 6, Value = 2.0 });
            pointsLine.Add(new SimpleDataPoint() { Label = 7, Value = 2.0 });

            bubbleData = new List<SimpleDataPoint>();
            bubbleData.Add(new SimpleDataPoint() { Label = 7, Value = 5, Radius = 50 });
            bubbleData.Add(new SimpleDataPoint() { Label = 6, Value = 3, Radius = 30 });
            bubbleData.Add(new SimpleDataPoint() { Label = 5, Value = 2, Radius = 10 });

            radialData = new List<SimpleDataPoint>();
            radialData.Add(new SimpleDataPoint() { Label = 5, Value = 3.5, Radius = 50 });
            radialData.Add(new SimpleDataPoint() { Label = 4, Value = 5.5, Radius = 30 });
            radialData.Add(new SimpleDataPoint() { Label = 6, Value = 4.6, Radius = 10 });

        }

    }
}

public class SimpleDataPoint
{
    public SimpleDataPoint() { }
    public double Value { get; set; }
    public double Label { get; set; }
    public double Radius { set; get; }

}
